Bug 1249786 - Review Request: kaaedit - Console text editor
Review Request: kaaedit - Console text editor
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: René Ribaud
Fedora Extras Quality Assurance
:
Depends On: 1249743 1249749 1249780
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-03 16:09 EDT by William Moreno
Modified: 2017-10-23 22:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-23 22:42:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rene.ribaud: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description William Moreno 2015-08-03 16:09:22 EDT
Spec URL: https://williamjmorenor.fedorapeople.org/rpmdev/kaaedit.spec
SRPM URL: https://williamjmorenor.fedorapeople.org/rpmdev/kaaedit-0.44.0-1.fc22.src.rpm
Description: Console text editor
Fedora Account System Username: williamjmorenor
Comment 1 René Ribaud 2015-10-05 04:50:07 EDT
Hello William,

First short review.
1- Forget what I said in my previous mail about naming. I did not notice it was an application and not a module.
2- Currently the package can not be built due to missing dependencies.
2a- BuildRequires:  pyjf3 --> should be rename to python3-pyjf3
2b- BuildRequires:  kaadbg --> this one is missing in the rawhide repo.
I found your bug request (1249743) about it and I have assigned it to me.

So I will review 1249743 first and then this one.
Comment 2 William Moreno 2015-10-05 11:11:40 EDT
The python3-curses_ex is a missing depency too: https://bugzilla.redhat.com/show_bug.cgi?id=1249780

I wil wait the kaadb review before update this review
Comment 4 René Ribaud 2015-11-06 05:51:30 EST
All pkg in dependencies have been reviewed now.
So I will review this one as soon as the other packages will reach rawhide allowing a complete build of kaaedit pkg.
Comment 5 Upstream Release Monitoring 2015-11-12 17:20:33 EST
williamjmorenor's scratch build of kaaedit-0.44.0-2.fc24.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11808030
Comment 6 William Moreno 2015-11-12 17:43:44 EST
Rawhide build was failed, but all depencies are in place:

Package python3-setuptools-18.5-2.fc24.noarch is already installed, skipping.
Dependencies resolved.
================================================================================
Package                  Arch       Version                    Repository
                                                                            Size
================================================================================
Installing:
kaadbg                   noarch     0.3.0-2.fc24               build      17 k
ncurses-devel            x86_64     6.0-1.20150810.fc24        build     500 k
python-macros            noarch     2.7.10-11.fc24             build      61 k
python3-curses_ex        x86_64     0.3-3.fc24                 build      13 k
python3-devel            x86_64     3.5.0-3.fc24               build     1.0 M
python3-pyjf3            noarch     0.3-3.fc24                 build      23 k
python3-setproctitle     x86_64     1.1.9-2.fc24               build      19 k
Comment 7 Upstream Release Monitoring 2015-11-17 18:48:51 EST
williamjmorenor's scratch build of kaaedit-0.44.0-2.fc24.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11888882
Comment 8 Upstream Release Monitoring 2015-11-20 04:33:38 EST
uggla's scratch build of kaaedit-0.44.0-2.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11919033
Comment 9 René Ribaud 2015-11-20 05:27:47 EST
Hello William,

Here is the review of the pkg :
- There is a lot of warning from pylint python-bytecode-without-source however I think this is "normal"

- There is an error with kaaedit non-standard-executable-perm that need to be fixed with the correct chmod.

- %files needs to be refined as /usr/lib64/python3.5 is embedded into the pkg and so conflict with other pkgs. (see failure below) 

- Even if it is in the "should" part of the review. I think tests can be run now. It will be great to have the check section reviewed.



 

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions


===== MUST items =====

C/C++:
[-]: Package does not contain kernel modules.
[-]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 141 files have
     unknown license. Detailed output of licensecheck in
     /home/uggla/rpmbuild/SPECS/1249786-kaaedit/licensecheck.txt
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/python3.5
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/python3.5
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 92160 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: kaaedit-0.44.0-2.fc24.x86_64.rpm
          kaaedit-0.44.0-2.fc24.src.rpm
kaaedit.x86_64: W: spelling-error %description -l en_US Kaa -> Kara, Kama, Kan
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/rst/__pycache__/rstmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/msgbox/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/macro.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/__pycache__/filetypedef.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/cui/__pycache__/color.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/gappedbuf/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/markdown/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/encodingdef.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/pastelines/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/default/__pycache__/menu.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/searchdlg/__pycache__/searchdlgmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/python/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/addon.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/makeoutput/__pycache__/makeoutputmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/tools.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/selectfile/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/c/__pycache__/cmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/highlight.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/exceptions.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/consts.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/screen.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/pyconsole/__pycache__/pythonconsolemode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/diff/__pycache__/diffmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/cui/__pycache__/frame.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/grep/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/log.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/html/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/utils.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/ini/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/markdown/__pycache__/markdownmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/javascript/__pycache__/javascriptmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/commands/__pycache__/editmodecommand.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/cui/__pycache__/keydef.cpython-35.opt-1.pyc
kaaedit.x86_64: E: non-standard-executable-perm /usr/lib64/python3.5/site-packages/_gappedbuf.cpython-35m-x86_64-linux-gnu.so 775
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/messagebar/__pycache__/messagebarmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/version.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/fileinfo/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/clipboard.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/cui/__pycache__/editor.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/wordcomplete/__pycache__/wordcompletemode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/moveseparator/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/cui/__pycache__/main.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/toclist/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/dialog/__pycache__/dialogmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/grep/__pycache__/grepdlgmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/moveseparator/__pycache__/moveseparatormode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/pythondebug/__pycache__/pythondebugmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/statusbar/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/default/__pycache__/defaultmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/gappedbuf/__pycache__/sre_constants.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/default/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/dialog/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/commands/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/viewdiff/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/css/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/modeless/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/texthist/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/selectlist/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/mainmenu/__pycache__/menumode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/toclist/__pycache__/toclistmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/document.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/pastelines/__pycache__/pastelinesmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/inputline/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/inputline/__pycache__/inputlinemode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/html/__pycache__/htmlmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/theme.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/itemlist/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/pythondebug/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/context.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/filenameindex/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/ini/__pycache__/inimode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/cui/__pycache__/dialog.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/doc_re.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/config.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/cui/__pycache__/splitter.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/json/__pycache__/jsonmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/c/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/makeoutput/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/fileinfo/__pycache__/fileinfomode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/python/__pycache__/pythonmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/gappedbuf/__pycache__/re.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/cui/__pycache__/app.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/diff/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/selectlist/__pycache__/selectlist.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/msgbox/__pycache__/msgboxmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/spellchecker/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/default/__pycache__/keybind.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/default/__pycache__/modebase.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/grep/__pycache__/grepmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/cursor.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/selectlist/__pycache__/filterlist.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/javascript/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/commands/__pycache__/vicommand.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/itemlist/__pycache__/itemlistmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/cui/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/commands/__pycache__/filecommand.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/command.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/selectfile/__pycache__/selectfile.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/commands/__pycache__/appcommand.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/css/__pycache__/cssmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/pythondebug/__pycache__/port.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/statusbar/__pycache__/statusbarmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/texthist/__pycache__/texthistmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/keyboard.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/gappedbuf/__pycache__/sre_compile.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/commands/__pycache__/toolcommand.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/gappedbuf/__pycache__/sre_parse.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/json/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/fileio.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/wordcomplete/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/cui/__pycache__/wnd.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/searchdlg/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/editmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/options.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/default/__pycache__/theme.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/messagebar/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/viewdiff/__pycache__/viewdiffmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/spellchecker/__pycache__/spellcheckermode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/pyconsole/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/filenameindex/__pycache__/filenameindexmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/rst/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/modeless/__pycache__/autocompmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/commands/__pycache__/editorcommand.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/mainmenu/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.src: W: spelling-error %description -l en_US Kaa -> Kara, Kama, Kan
kaaedit.src: W: spelling-error %description -l en_US kaa -> aka, baa
2 packages and 0 specfiles checked; 1 errors, 129 warnings.




Rpmlint (debuginfo)
-------------------
Checking: kaaedit-debuginfo-0.44.0-2.fc24.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/editmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/pythondebug/__pycache__/pythondebugmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/selectfile/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/msgbox/__pycache__/msgboxmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/python/__pycache__/pythonmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/commands/__pycache__/editorcommand.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/doc_re.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/default/__pycache__/theme.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/commands/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/cui/__pycache__/keydef.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/default/__pycache__/modebase.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/markdown/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/statusbar/__pycache__/statusbarmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/default/__pycache__/keybind.cpython-35.opt-1.pyc
kaaedit.x86_64: E: non-standard-executable-perm /usr/lib64/python3.5/site-packages/_gappedbuf.cpython-35m-x86_64-linux-gnu.so 775
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/moveseparator/__pycache__/moveseparatormode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/spellchecker/__pycache__/spellcheckermode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/statusbar/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/css/__pycache__/cssmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/c/__pycache__/cmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/options.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/screen.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/toclist/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/grep/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/config.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/diff/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/toclist/__pycache__/toclistmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/utils.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/__pycache__/filetypedef.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/filenameindex/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/command.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/pastelines/__pycache__/pastelinesmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/markdown/__pycache__/markdownmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/fileinfo/__pycache__/fileinfomode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/cui/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/selectfile/__pycache__/selectfile.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/rst/__pycache__/rstmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/commands/__pycache__/toolcommand.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/fileinfo/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/cui/__pycache__/app.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/python/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/makeoutput/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/keyboard.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/addon.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/messagebar/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/pythondebug/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/selectlist/__pycache__/filterlist.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/gappedbuf/__pycache__/sre_compile.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/gappedbuf/__pycache__/sre_parse.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/css/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/context.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/selectlist/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/gappedbuf/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/commands/__pycache__/appcommand.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/commands/__pycache__/editmodecommand.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/searchdlg/__pycache__/searchdlgmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/cui/__pycache__/color.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/wordcomplete/__pycache__/wordcompletemode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/modeless/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/cui/__pycache__/main.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/viewdiff/__pycache__/viewdiffmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/messagebar/__pycache__/messagebarmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/makeoutput/__pycache__/makeoutputmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/pastelines/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/cui/__pycache__/editor.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/dialog/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/default/__pycache__/defaultmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/clipboard.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/pythondebug/__pycache__/port.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/highlight.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/viewdiff/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/gappedbuf/__pycache__/sre_constants.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/consts.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/html/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/fileio.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/modeless/__pycache__/autocompmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/javascript/__pycache__/javascriptmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/default/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/document.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/commands/__pycache__/vicommand.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/macro.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/filenameindex/__pycache__/filenameindexmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/grep/__pycache__/grepdlgmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/html/__pycache__/htmlmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/json/__pycache__/jsonmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/cui/__pycache__/dialog.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/theme.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/c/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/grep/__pycache__/grepmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/mainmenu/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/selectlist/__pycache__/selectlist.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/inputline/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/itemlist/__pycache__/itemlistmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/exceptions.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/cursor.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/moveseparator/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/spellchecker/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/dialog/__pycache__/dialogmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/itemlist/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/pyconsole/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/json/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/texthist/__pycache__/texthistmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/gappedbuf/__pycache__/re.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/mainmenu/__pycache__/menumode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/javascript/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/commands/__pycache__/filecommand.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/tools.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/rst/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/pyconsole/__pycache__/pythonconsolemode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/cui/__pycache__/splitter.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/diff/__pycache__/diffmode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/searchdlg/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/encodingdef.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/default/__pycache__/menu.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/version.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/__pycache__/log.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/ini/__pycache__/inimode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/filetype/ini/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/inputline/__pycache__/inputlinemode.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/wordcomplete/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/cui/__pycache__/wnd.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/texthist/__pycache__/__init__.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/cui/__pycache__/frame.cpython-35.opt-1.pyc
kaaedit.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/kaa/ui/msgbox/__pycache__/__init__.cpython-35.opt-1.pyc
2 packages and 0 specfiles checked; 1 errors, 126 warnings.



Requires
--------
kaaedit (rpmlib, GLIBC filtered):
    /usr/bin/python3
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.5m.so.1.0()(64bit)
    ncurses
    python(abi)
    python3-curses_ex
    python3-pyjf3
    python3-setproctitle
    rtld(GNU_HASH)



Provides
--------
kaaedit:
    kaa
    kaaedit
    kaaedit(x86-64)



Unversioned so-files
--------------------
kaaedit: /usr/lib64/python3.5/site-packages/_gappedbuf.cpython-35m-x86_64-linux-gnu.so

Source checksums
----------------
https://pypi.python.org/packages/source/k/kaaedit/kaaedit-0.44.0.tar.gz :
  CHECKSUM(SHA256) this package     : 2f9c0f2a20bf0ac659b5b2721ba6e7e5df24cf852f69d0ea19527bd27d501172
  CHECKSUM(SHA256) upstream package : 2f9c0f2a20bf0ac659b5b2721ba6e7e5df24cf852f69d0ea19527bd27d501172
Comment 10 Upstream Release Monitoring 2015-11-20 16:56:51 EST
williamjmorenor's scratch build of kaaedit-0.44.0-3.fc24.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11925655
Comment 11 Upstream Release Monitoring 2015-11-20 17:13:47 EST
williamjmorenor's scratch build of kaaedit-0.44.0-3.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11925747
Comment 12 William Moreno 2015-11-20 17:52:17 EST
Spec URL: https://williamjmorenor.fedorapeople.org/rpmdev/kaaedit.spec
SRPM URL: https://williamjmorenor.fedorapeople.org/rpmdev/kaaedit-0.44.0-3.fc24.src.rpm


- There is a lot of warning from pylint python-bytecode-without-source however I think this is "normal"

Looks like a issue with rpmlint

- There is an error with kaaedit non-standard-executable-perm that need to be fixed with the correct chmod.

Fixed in %install with umask 022

- %files needs to be refined as /usr/lib64/python3.5 is embedded into the pkg and so conflict with other pkgs. (see failure below) 

Fixed in %%files

- Even if it is in the "should" part of the review. I think tests can be run now. It will be great to have the check section reviewed.

There is a issue with test with python3.5:
https://github.com/kaaedit/kaa/issues/132
Comment 13 René Ribaud 2015-11-25 11:26:00 EST
Hello William,

- There is a lot of warning from pylint python-bytecode-without-source however I think this is "normal"

Looks like a issue with rpmlint
>> ok


- There is an error with kaaedit non-standard-executable-perm that need to be fixed with the correct chmod.

Fixed in %install with umask 022
>> Are you sure you provided the correct srpm, because I still have the issue poping in fedora-review.

- %files needs to be refined as /usr/lib64/python3.5 is embedded into the pkg and so conflict with other pkgs. (see failure below) 

Fixed in %%files

>> Same as above.

- Even if it is in the "should" part of the review. I think tests can be run now. It will be great to have the check section reviewed.

There is a issue with test with python3.5:
https://github.com/kaaedit/kaa/issues/132

>>ok
Comment 14 René Ribaud 2015-11-30 07:26:35 EST
William any thoughts about above comments ?
Comment 15 William Moreno 2015-12-09 19:02:40 EST
Spec URL: https://williamjmorenor.fedorapeople.org/rpmdev/kaaedit.spec
SRPM URL: https://williamjmorenor.fedorapeople.org/rpmdev/kaaedit-0.44.0-4.fc24.src.rpm

I just bump the release, the rpmlint error is fixed
Comment 16 Upstream Release Monitoring 2015-12-09 19:11:10 EST
williamjmorenor's scratch build of kaaedit-0.44.0-4.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12131396
Comment 17 René Ribaud 2015-12-14 06:22:40 EST
Hello William,

Stange but I still have the both issue poping from fedora-review.
[ ]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/python3.5, /usr/lib64/python3.5
     /site-packages
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/python3.5/site-
     packages, /usr/lib64/python3.5


and

kaaedit.x86_64: E: non-standard-executable-perm /usr/lib64/python3.5/site-packages/_gappedbuf.cpython-35m-x86_64-linux-gnu.so 775
2 packages and 0 specfiles checked; 1 errors, 0 warnings.


Although fedora-review used your latest srpm.

[uggla@ugglalaptop SPECS]$ fedora-review -m fedora-rawhide-x86_64 -b 1249786
INFO: Processing bugzilla bug: 1249786
INFO: Getting .spec and .srpm Urls from : 1249786
INFO:   --> SRPM url: https://williamjmorenor.fedorapeople.org/rpmdev/kaaedit-0.44.0-4.fc24.src.rpm
INFO:   --> Spec url: https://williamjmorenor.fedorapeople.org/rpmdev/kaaedit.spec

MAybe the issue is on my side ?
So I'm going to look deeper at the issue.

Note You need to log in before you can comment on or make changes to this bug.